Bug 979570 - bridge: rollback network setup in case of failure
bridge: rollback network setup in case of failure
Status: CLOSED CURRENTRELEASE
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.VDSM (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: 1.1.0
Assigned To: Alon Bar-Lev
Martin Pavlik
network
: Improvement
Depends On: 979081 979567 979572 999123
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:14 EDT by Alon Bar-Lev
Modified: 2016-02-10 14:46 EST (History)
10 users (show)

See Also:
Fixed In Version: is7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:19:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lpeer: devel_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17124 None None None Never

  None (edit)
Description Alon Bar-Lev 2013-06-28 16:14:52 EDT
Continue discussion from bug#979081.

Currently vdsm-bootstrap, host-deploy, vdsm-reg do not rollback network configuration if addNetwork fails.

The sequence should be:
- addNetwork
- vdsm-restore-net-config -> rollback
- vdsm-store-net-config -> commit

vdsm-restore-net-config does not work on ovirt-node/rhev-h, waiting for bug#979567.

Supporting non-node setup is not important to 3.3 as only legacy nodes still use the ovirt-host-deploy bridge plugin.

Best if we could avoid the bridge module anyway and perform all from engine, including the removal of brXXX bridges, so we do not need to maintain these deviations.
Comment 1 Martin Pavlik 2013-07-30 04:18:04 EDT
How to test:

add raise RuntimeException('XXX') anywhere after bridge is created... best plugins/ovirt-host-deploy/vdsm/bridge.py at end of _misc

RHEVM 3.3 with 3.3 host and "fixed" bridge.py in the engine , add network will fail and vdsm-restore-net-config will restore previous state

need separate testing for RHEVH when bug 979081 is ON_QA
Comment 2 Martin Pavlik 2013-07-30 06:22:39 EDT
in IS7 procedure described in comment 1 works as expected, waiting for bug 97908 to be ON_QA in order to finish testing this one
Comment 3 Martin Pavlik 2013-07-30 06:24:02 EDT
correction of comment 2 waiting for bug 979081 to be fixed
Comment 4 Martin Pavlik 2013-09-03 04:41:49 EDT
verified
Comment 5 Itamar Heim 2014-01-21 17:19:23 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:25:33 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.